Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## weka.core.json
Enum JSONNode.NodeType

    java.lang.Object
      java.lang.Enum<JSONNode.NodeType>
          weka.core.json.JSONNode.NodeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSONNode.NodeType>

Enclosing class:
  JSONNode

    public static enum JSONNode.NodeType

extends java.lang.Enum<JSONNode.NodeType>

The type of a node.

Version:
  $Revision: 5786 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Enum Constant Summary
`ARRAY` an array.
`OBJECT` an object with nested key-value pairs.
`PRIMITIVE` a primitive.

Method Summary
`static JSONNode.NodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JSONNode.NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIMITIVE

    public static final JSONNode.NodeType PRIMITIVE

  a primitive.

### OBJECT

    public static final JSONNode.NodeType OBJECT

  an object with nested key-value pairs.

### ARRAY

    public static final JSONNode.NodeType ARRAY

  an array.

Method Detail

### values

    public static JSONNode.NodeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSONNode.NodeType c : JSONNode.NodeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSONNode.NodeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD